---
layout: guild
category: guild
title: {{ .Title }} history
game: {{ .Guild.Game }}
region: {{ .Guild.Region }}
realm: {{ .Guild.Realm }}
realmSlug: {{ .Guild.RealmSlug }}
guild: {{ .Guild.Name }}
guildID: {{ .GuildID }}
raids:
{{ range $raid, $summary := .Guild.Progress }}  {{ $raid }}: {{ $summary }}
{{ end }}
---

{{ if .ShowHistory }}
{{ $game := .Guild.Game }}
{{ range .History }}
{{ $att := .Attendance }}
{{ $bosses := .Bosses }}
<h2 id="{{ .Title }}">
    {{ .Title }}
    {% if page.layout %}
        {{ if (eq $game "retail") }}
        <a href="https://www.wipefest.gg/report/{{ .ReportID }}" target="_blank" rel="nofollow" title="Analyze raid night on WipeFest">
            <img src="/assets/ui/wipefest.webp" alt="Analyze raid night on WipeFest" style="vertical-align: middle">
        </a>
        {{ end }}
    {% endif %}
</h2>
<ul>
    {{ range $bosses }}
    <li><strong>{{ .Name }}</strong> {{ .Difficulty }} x{{ .Tries }} - {{ if .Killed }}<span class="hit">killed</span>{{ else }}<span class="miss">wiped{{ end }}</li>
    {{ end }}
</ul>

<div style="overflow: auto">
    <table class="sortable raid-attendance" aria-label="per-raid attendance">
        <tr>
            <th>Pulls</th>
            {{ range $bosses }}<th>{{ .Name }}</th>{{ end }}
        </tr>
        {{ range $raider, $boss := $att }}
        <tr>
            <td>{{ $raider }}</td>
            {{ range $bosses }}
            <td>{{ index $boss .Name }}</td>
            {{ end }}
            {{ end }}
        </tr>
    </table>
</div>
{{ end }}
{{ else }}
<div class="msg">
    <strong>No reports available</strong>
    <p>
        Reason may be one of the following:
        <ol>
            <li>Guild may has no public reports on WarcraftLogs</li>
            <li>Guild owner choosed too strict filters on WGT (included raids, excluded modes/weekdays, etc.)</li>
            <li>Guild owner selected wrong game version (retail or classic)</li>
            <li>if none above - contact developer in discord</li>
        </ol>
    </p>
</div>
{{ end }}
